# Contributing to Lucia

### Initial Steps:

1. Fork this repository and clone it to your local machine
2. Make sure you have `yarn` installed. If you don't, run `npm install -g yarn`
3. Install all packages with the `yarn` command in the project root.

Once you are setup, you check out the codebase documentation to learn more!

- [Workflow Documentation](https://github.com/aidenybai/lucia/wiki/Workflow-Documentation) - How to get started with iterating, building, and ad-hoc testing Lucia.
- [Core Documentation](https://github.com/aidenybai/lucia/wiki/Core-Documentation) - Understanding the internals and how the core is structured.
- [Typedoc Documentation](https://lucia-docs.netlify.app/) - Automatic type and source documentation generated by [Typedoc](https://typedoc.org/).

## Next Steps + Useful Info:

- If you are using [VSCode](https://code.visualstudio.com/), install all recommended workspace extensions.
- We are using Yarn as our package manager, please do not commit your `package-lock.json` files from NPM
- Make sure you are up to date by doing `git pull` here and there.
- Submit a [pull request](https://github.com/aidenybai/lucia/pulls)!
